com.microsoft.sqlserver.jdbc.dns

## Class DNSKerberosLocator

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.dns.DNSKerberosLocator

    public final class DNSKerberosLocator
    extends Object

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isRealmValid(String realmName)` Tells whether a realm is valid.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isRealmValid

    public static boolean isRealmValid(String realmName)
                                throws NamingException

Tells whether a realm is valid.

Parameters:
  `realmName` - the realm to test
Returns:
  true if realm is valid, false otherwise
Throws:
  `NamingException` - if DNS failed, so realm existence cannot be determined